@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Montserrat", "Open Sans";
}
:root {
  --text-color: #40c388;
  --bg-color: #22313f;
  --primary-color: #34495e;
  --cards-color: #fcfefe;
  /* --text1-color: #fff; */
  --line-color: #dcdcdc;
}
/* width */
::-webkit-scrollbar {
  width: 10px;
  cursor: pointer;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f4f0f0;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #888;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #555;
}

html,
body {
  width: 100%;
  height: 100dvh;
  scroll-behavior: smooth;
}
#loader{ 
  width: 100%;
  height: 100%;
  position: fixed;
  background-color: rgb(21, 20, 20);
  top: 0;
  z-index: 99999;
  transition: all ease 1s;
  display: flex;
  align-items: center;
  justify-content: center
}

#loader h1{
  font-size: 4vw;
  background: linear-gradient(rgb(47, 47, 156),rgb(72, 158, 189));
  color: transparent;
  -webkit-background-clip: text;
  font-weight: 900;
  position: absolute;
  opacity: 0;
  animation: load linear 1s;
}

#loader h1:nth-child(2){
  animation-delay: 2s;
}
#loader h1:nth-child(3){
  animation-delay: 3s;
}
@keyframes load{
  0%{
    opacity: 0;
  }
  10%{
    opacity: 1;
  }
  90%{
    opacity: 1;
  }
  100%{
    opacity: 0;
  }
}
main {
  width: 100%;
  background-color: var(--bg-color);
}
#minicircle {
  transition: all cubic-bezier(0.19, 1, 0.22, 1) 0.6s;
  position: fixed;
  width: 30px;
  height: 30px;
  background-color:rgb(58, 53, 53);
  opacity: 0.6;
  border-radius: 50%;
  z-index: 999;
  mix-blend-mode: difference;
}
.navbar {
  position: sticky;
  top: 0;
  z-index: 999;
  min-height: 70px;
  height: 80px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 3rem;
  background-color: var(--primary-color);
}
.nav-menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
}
.nav-branding {
  font-size: 2rem;
  color:var(--cards-color);
  font-weight: 800;
  text-decoration: none;
}
.nav-item{
  list-style: none;
}
.nav-link {
  transform: 0.7s ease;
  text-decoration: none;
  color: var(--cards-color);
  font-size: 1.2rem;
  font-weight: 600;
}
.nav-link:hover {
  color: var(--text-color);
}
.hamburger {
  display: none;
  cursor: pointer;
}
.bar {
  display: block;
  width: 25px;
  height: 3px;
  margin: 5px auto;
  -webkit-transition: all 0.3s ease-in-out;
  transition: all 0.3s ease-in-out;
  background-color: white;
}

main #content {
  position: relative;
  height: calc(100% -80px);
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid var(--line-color);
}
#content .context {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.context aside {
  width: 50%;
  height: 60vh;
  position: relative;
  /* margin-left: -30px; */
  display: grid;
  grid-template-areas:
    "social-icons intro intro"
    "social-icons para para"
    "social-icons hero hero"; /* Adjust the grid areas to include the cta */
  grid-template-rows: repeat(
    3,
    min-content
  ); /* Add this line to define row heights */
  grid-template-rows: repeat(3, 1fr);
  text-align: center;
  color: #e4f1fe;
  align-items: center;
  /* gap: 10px; */
}
aside .intro {
  width: 40vw;
  /* height:30vh; */
  margin-top: 120px;
  margin-left: 20px;
  grid-area: intro;
  text-align: left;
  background: none;
  color: var(--line-color);
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: flex-start;
  justify-content: center;
  font-size: 1.6rem;
  letter-spacing: -1px;
}
.intro .auto-type{
  color:#00ff75;
  font-size: 2.3rem;
}
.para {
  grid-area: para;
  /* background-color: #42b883; */
  text-align: left;
  font-size: 1.4rem;
  font-weight: 500;
  margin-left: 20px;
}
aside .social-icons {
  background-color: #234567;
  width: 5vw;
  height: 40vh;
  border-radius: 5px;
  /* box-shadow: inset 0 0 10px rgba(19, 19, 19, 0.8); */
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  align-items: center;
  grid-area: social-icons;
}
.social-icons a {
  text-decoration: none;
}
.social-icons i:hover {
  box-shadow: 5px 4px 5px rgba(117, 200, 28, 0.8),-5px -4px -15px rgba(117, 200, 28, 0.8);
  /* filter: drop-shadow(5px 4px 5px rgba(117, 200, 28, 0.8),-5px -4px -15px rgba(117, 200, 28, 0.8)); */
}
.social-icons i {
  font-size: clamp(1.7rem, 2.5vw, 4rem); 
  color: var(--text-color);
  transition: box-shadow 0.3s ease;
}
aside #hero {
  position: relative;
  grid-area: hero;
  bottom: 30%;
  left: 20%;
}
aside #hero .cta {
  text-decoration: none;
  position: absolute;
  margin: auto;
  background: none;
  padding: 12px 8px;
  transition: all 0.2s ease;
  border: none;
  cursor: pointer;
  display: block;
  left: -45px;
  margin-top: 20px;
}

#hero .cta:before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  border-radius: 50px;
  background: #b1dae7;
  width: 45px;
  height: 45px;
  transition: all 0.3s ease;
}

#hero .cta span {
  position: relative;
  font-family: "Ubuntu", sans-serif;
  font-size: 1rem;
  font-weight: 700;
  letter-spacing: 0.05em;
  color: #234567;
}

#hero .cta svg {
  position: relative;
  top: 0;
  margin-left: 10px;
  fill: none;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke: #234567;
  stroke-width: 2;
  transform: translateX(-5px);
  transition: all 0.3s ease;
}

#hero .cta:hover:before {
  width: 100%;
  background: #b1dae7;
}

.cta:hover svg {
  transform: translateX(0);
}

.cta:active {
  transform: scale(0.95);
}

 .context #hero1 {
  width: 40%;
  height: 100vh;
  justify-content: center;
  align-items: center;
  display: flex;
  /* background-color: #888; */

}
#hero1 .img {
  width: 55%;
  object-fit: cover;
  object-position: center;
  filter: contrast(20px);
}

#first {
  /* position: relative; */
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  border-bottom: 1px solid var(--line-color);
}
#first .wrapper {
  /* position: relative; */
  width: 100%;
  display: flex;
  align-items: center;
  gap: 30px;
  flex-direction: row;
  justify-content: space-between;
}
#first .wrapper #pic {
  width: 50%;
  border-radius: 6px;
  object-fit: cover;
  max-height: 400px;
  background-color: var(--primary-color);
}
#first .wrapper #about {
  width: 50%;
  display: flex;
  flex-direction: column;
  padding: 4% 2%;
  text-align: left;
}
#first .wrapper #about p {
  color: var(--cards-color);
  line-height: 1.2;
  margin: 3% 0;
  font-size: 1.2rem;
  font-weight: 500;
  text-align: left;
}
#first .wrapper #about #Skills {
  height: 200px;
  display: flex;
  flex-direction: column;
  margin-left: 10px;
}
#Skills #btn {
  width: 100%;
  display: flex;
}
#Skills #btn .text {
  display: flex;
  align-items: center;
  color: white;
  padding: 5% 7%;
  border: none;
  cursor: pointer;
  font-size: 1.3rem;
  position: relative;
  cursor: pointer;
  font-weight: bolder;
}
.text::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  height: 4px;
  background-color: rgb(214, 214, 196);
  transform: scaleX(0);
  transition: 1s ease-in-out;
  transform-origin: bottom left;
  border-radius: 2px;
}
.text:hover::after {
  transform: scaleX(1);
}
#Skills #hero {
  width: 70%;
  margin: 20px 5px;
  display: flex;
  flex-direction: row;
}
#hero ul li {
  line-height: 1.5;
  font-size: 1.1rem;
  color: var(--cards-color);
  list-style: inside;
  font-family: "Poppins";
}

#second {
  z-index: 1;
  width: 100%;
  height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid var(--line-color);
}
/* heading for all section*/
.head h1 {
  font-size: 4rem;
  color: var(--line-color);
  font-weight: 800;
}
#second #project {
  border-radius: 20px;
  width: 100%;
  height: 50vh;
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 40px;
  margin-bottom: 80px;
}
#second #project .card {
  width: 20vw;
  height: 38vh;
  background-image: linear-gradient(163deg, #00ff75 0%, #3700ff 100%);
  border-radius: 20px;
  transition: all 0.2s;
}

.card .card2 {
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  color: var(--text-color);
  width: 20vw;
  height: 38vh;
  background-color: var(--primary-color);
  border-radius: 20px;
  transition: all 0.2s;
  gap: 10px;
}

.card2:hover {
  transform: scale(0.98);
  border-radius: 20px;
}

.card:hover {
  box-shadow: 0px 0px 30px 1px rgba(0, 255, 117, 0.3);
}

.card2 .pic {
  padding: 2px 0px;
  height: 20vh;
}
.card2 img {
  width: 18vw;
  margin-top: 14px;
  aspect-ratio: 8/4;
  border-radius: 8px;
}
.card2 .info {
  padding: 2px 18px;
}
.card2 .info p {
  font-size: 1.2rem;
  font-weight: 500;
}
.card2 .link {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  gap: 20px;
  width: 200px;
  margin: 10px 20px;
}

.card2 a {
  text-decoration: none;
}
.card2 .web {
  background-color: transparent;
  color: rgb(75, 238, 25);
  border-radius: 5px;
  cursor: pointer;
  font-size: 2.5rem;
  color: var(--cards-color);
  transition: all ease-in 0.3s;
}
.card2 .web:active {
  color: var(--primary-color);
}

#third {
  width: 100%;
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  gap: 20px;
  flex-wrap: wrap;
  border-bottom: 1px solid var(--line-color);
}
#third h2 {
  font-size: 3rem;
  color: var(--cards-color);
}
#third #foot {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.form-container {
  max-width: 500px;
  width: 100%;
  background-color: #fdfdfd;
  padding: 20px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
  border-radius: 8px;
}
.form-group {
  margin-bottom: 20px;
}

label {
  display: block;
  font-weight: bold;
  margin-bottom: 5px;
}

input,
textarea {
  width: 100%;
  padding: 10px;
  margin-top: 5px;
  box-sizing: border-box;
  border: 1px solid #ccc;
  border-radius: 4px;
}

textarea {
  resize: vertical;
  height: 50px;
}
button {
  background-color: var(--text-color);
  color: #fff;
  padding: 10px 15px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

button:hover {
  background-color: #45a049;
}
footer {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 10vh;
}

footer .footer-info {
  display: flex;
  align-self: center;
  justify-content: center;
  text-align: center;
}
.footer-info p {
  font-size: 0.8rem;
  font-weight: 500;
  color: var(--cards-color);
}

@media only screen and (max-width: 768px) {
  main {
    position: relative;
    overflow: hidden;
  }
/* Hamburger */
  .hamburger {
    display: block;
  }
  .hamburger.active .bar:nth-child(2) {
    opacity: 0;
  }
  .hamburger.active .bar:nth-child(1) {
    transform: translateY(8px) rotate(45deg);
  }
  .hamburger.active .bar:nth-child(3) {
    transform: translateY(-8px) rotate(-45deg);
  }
  .nav-menu {
    position: absolute;
    right: 100%;
    top: 10%;
    gap: 0;
    flex-direction: column;
    background-color: var(--primary-color);
    width: 100%;
    text-align: center;
    transition: 0.3s;
  }
  .nav-item {
    margin: 16px 0;
  }
  .nav-menu.active {
    right: 0;
  }

  #content .context {
    flex-direction: column-reverse;
    justify-content: center;
  }
  #hero{
    display: none;
  }
  .context aside {
    width: 100%;
  }
  aside .intro {
    font-size: 1.5rem;
    width: 400px;
  }
  .para {
    text-align: left;
    font-size: 0.9rem;
    font-weight: 500;
    width: 300px;
  }
  aside .social-icons {
    width: 60px;
  }
  .context #hero1 {
    width: 100%;
    height: 40vh;
  }
  #first .wrapper {
    flex-direction: column;
    justify-content: center;
    gap: 0px;
    margin-top: 50px;
  }
  #first .wrapper #pic {
    opacity: 0.8;
    width: 100%;
  }
  #first .wrapper #about {
    width: 100%;
    display: flex;
    padding-right: 10%;
  }
  #first .wrapper #about p {
    font-size: 0.8rem;
  }
  #first .wrapper #about #Skills {
    height: 150px;
    display: flex;
    flex-direction: column;
    margin-left: 10px;
  }
  #Skills #btn {
    width: 100%;
    height: 5vh;
    display: flex;
  }
  #Skills #btn .text {
    font-size: 1.1rem;
  }
  #hero ul li {
    font-size: 0.8rem;
  }
  #second{
  margin-top: -70px;
  }
  #second #project {
    width: 100%;
    height: 30vh;
  }
  .head h1 {
    font-size: 2rem;
    color: var(--line-color);
    font-weight: 800;
  }

  #second #project .card,
  #second #project .card .card2 {
    width: 40vw;
    height: 28vh;
  }
  .card2 img {
    width: 30vw;
    border-radius: 6px;
  }

  .card2 .info p {
    font-size: 0.8rem;
  }

  .card2 .link {
    width: 100%;
    /* margin: 10px 0; */
  }

  .card2 .web {
    font-size: 2rem;
  }
  #third h1 {
    font-size: 2rem;
  }
  .form-container {
    max-width: 70%;
    height: 400px;
  }
  .form-group {
    margin-bottom: 8px;
  }
  
  label {
    margin-bottom: 5px;
  }
  
  input,
  textarea {
    padding: 8px;
  }
  footer #foot #hero .sidebar {
    flex-direction: column;
  }
}
